lkml.org 
[lkml]   [2018]   [Jul]   [1]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: 4.17.x won't boot due to "x86/boot/compressed/64: Handle 5-level paging boot if kernel is above 4G"
On Sun, Jul 01, 2018 at 05:15:59PM -0400, Benjamin Gilbert wrote:
> 4.17 kernels built with the CoreOS Container Linux toolchain and kconfig,
> up to and including 4.17.3, fail to boot on AMD64 running in (at least)
> QEMU/KVM. No messages are shown post-GRUB; the VM instantly reboots.
> Reverting commit 194a9749c73d ("x86/boot/compressed/64: Handle 5-level
> paging boot if kernel is above 4G") fixes it. I've attached our kernel
> config for reference, and am happy to test patches, provide sample QCOW
> images, etc.

Adding linux-x86_64, LKML.

--Benjamin Gilbert
[unhandled content-type:application/gzip]
\
 
 \ /
  Last update: 2018-07-01 23:33    [W:0.225 / U:4.496 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site